Bug 1140975 - fail to login spice session with password + expire time
Summary: fail to login spice session with password + expire time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1138639
Blocks: 1138647
TreeView+ depends on / blocked
 
Reported: 2014-09-12 07:15 UTC by chcheng
Modified: 2015-03-05 09:55 UTC (History)
12 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-6.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1138639
Environment:
Last Closed: 2015-03-05 09:55:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Comment 2 Marc-Andre Lureau 2014-10-07 09:46:29 UTC
I am not use to qemu-kvm RHEL patch process, Gerd, you are better placed to handle the patch thanks.

Comment 3 Gerd Hoffmann 2014-10-24 07:23:02 UTC
upstream commit 07d49a53b6394941ed833486a3acb5c480d87db2

Comment 4 Gerd Hoffmann 2014-10-24 08:56:00 UTC
backport posted.

Comment 5 Miroslav Rezanina 2014-11-04 09:35:34 UTC
Fix included in qemu-kvm-rhev-2.1.2-6.el7

Comment 7 langfang 2014-11-05 01:32:20 UTC
Reproduce this bug as follow version:

Host:
# uname -r
3.10.0-191.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.2-5.el7.x86_64


Guest:rhel7

Steps:

1.Boot guest with 
"spice port=5932,password=redhat "

2.set password expire time as 1000 sec :
..
{ "execute": "expire_password", "arguments": { "protocol": "spice", "time": "+60" } }

3.before the password expired, use virt-viewer to connect the guest:
#remote-viewer spice://$hostIP:5932


Results:

can't login with the correct password although the password is not expired.

Verify this bug as follow version:


Host:
# uname -r
3.10.0-191.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.2-6.el7.x86_64


Steps as same as reproduce

Results: can login with the correct password .


According to above test ,this bug fixed.

Comment 11 errata-xmlrpc 2015-03-05 09:55:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.